%{?nodejs_find_provides_and_requires}

%global packagename on-finished
%global enable_tests 1

Name:		nodejs-on-finished
Version:	2.3.0
Release:	1%{?dist}
Summary:	Execute a callback when a HTTP request closes, finishes, or errors

License:	MIT
URL:		https://github.com/jshttp/on-finished
Source0:	https://github.com/jshttp/on-finished/archive/v2.3.0.tar.gz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ee-first)
%endif

Requires:	nodejs

%description
Execute a callback when a HTTP request closes, finishes, or errors


%prep
%setup -q -n %{packagename}-%{version}


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct  7 2015 Jared Smith <jsmith@fedoraproject.org> - 2.3.0-1
- Initial packaging
